#
# spec file for package yast2-sound (Version 2.13.26)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-sound
Version:        2.13.26
Release:        0.6.25
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-sound-2.13.26.tar.bz2

Prefix:         /usr

BuildRequires:  alsa-devel doxygen gcc-c++ perl-XML-Writer update-desktop-files yast2 yast2-core-devel yast2-devtools yast2-testsuite
Requires:       yast2 alsa

Provides:       yast2-config-sound yast2-agent-audio yast2-agent-audio-devel
Obsoletes:      yast2-config-sound yast2-agent-audio yast2-agent-audio-devel
Provides:       yast2-trans-sound yast2-trans-soundd y2c_snd y2t_snd y2t_sndd
Obsoletes:      yast2-trans-sound yast2-trans-soundd y2c_snd y2t_snd y2t_sndd
Provides:       y2c_sparc y2c_sprc yast2-db-sound y2d_snd
Obsoletes:      y2c_sparc y2c_sprc yast2-db-sound y2d_snd

Summary:        YaST2 - Sound Configuration

%description
This package contains the YaST2 component for sound card configuration.



Authors:
--------
    Dan Meszaros

%prep
%setup -n yast2-sound-2.13.26

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install

export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"

%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

rm -rf %{buildroot}/%{_libdir}/YaST2/plugin/libpy2ag_audio.la

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)

# sound
%dir /usr/share/YaST2/include/sound
/usr/share/YaST2/include/sound/*.ycp
/usr/share/YaST2/clients/sound*.ycp
/usr/share/YaST2/clients/joystick.ycp
%{prefix}/share/applications/YaST2/sound.desktop
%{prefix}/share/applications/YaST2/joystick.desktop
%{prefix}/lib/YaST2/bin/copyfonts
/usr/share/YaST2/modules/Sound.*
/usr/share/YaST2/modules/Joystick.*
/usr/share/YaST2/schema/autoyast/rnc/sound.rnc

# database
/usr/share/YaST2/data/sndcards.ycp

# agents
%{_libdir}/YaST2/plugin/libpy2ag_audio.so*
/usr/share/YaST2/scrconf/*.scr

%doc %{prefix}/share/doc/packages/yast2-sound

%changelog
* Thu Nov 25 2010 lslezak@suse.cz
- added PCI ID for Intel Cougar Point PCH (bnc#653787)
- 2.13.26
* Fri Jul 10 2009 lslezak@suse.cz
- set "iSpeaker" channel volume (#251844)
- 2.13.25
* Fri Jul 10 2009 lslezak@suse.cz
- updated the sound card database, this enables automatic
  configuration for more devices (bnc#516046)
- 2.13.24
* Thu Jun 11 2009 lslezak@suse.cz
- start ALSA during autoyast configuration, needed to set up
  volume settings (bnc#253585)
- 2.13.23
* Mon Apr  6 2009 ro@suse.de
- buildfix: use patch from factory to fix build on s390,s390x
* Mon Mar  3 2008 lslezak@suse.cz
- added ICH9 and ICH10 audio to the database (#365079)
- updated the sound card database (added new PCI IDs) (#365931)
- 2.13.22
* Thu Feb 21 2008 lslezak@suse.cz
- merged proofread texts (proofed-sle10-sp2-2008-02-12)
- 2.13.21
* Mon Oct 29 2007 lslezak@suse.cz
- fixed RNC schema for validating AutoYaST profile (#253614)
- 2.13.20
* Mon Oct 22 2007 lslezak@suse.cz
- Initialize "Speaker" and "Beep" channels (needed on Lenovo
  Thinkpad R61) (#309247)
- 2.13.19
* Fri Jan 12 2007 lslezak@suse.cz
- updated the sound card database (snd-intel-hda PCI IDs)
  (feature #301421)
- 2.13.18
* Fri Jan 12 2007 lslezak@suse.cz
- 2.13.17
* Fri Nov 10 2006 lslezak@suse.cz
- added a RNC schema for Autoyast profile validation (#219011)
* Mon Oct 23 2006 lslezak@suse.cz
- help text - added 'aoss' wrapper description (fate #300351,
  bug #117806)
- 2.13.16
* Thu Sep 21 2006 lslezak@suse.cz
- new option - select the primary sound card (fate #300352)
- updated the sound card DB
- 2.13.15
* Thu Sep 14 2006 lslezak@suse.cz
- use Progress::set() instead of Progress::on()/off()
- 2.13.14
* Wed Sep 13 2006 ro@suse.de
- added yast2-core-devel to BuildRequires
* Tue Aug 29 2006 lslezak@suse.cz
- properly compute index of the selected card - fixed problem
  with more sound cards (#177962)
- fixed abort when an internal error occurrs (#201337)
- fixed static hwcfg file and unique key handling for non-PCI
  sound devices(#202086)
- use the default values for kernel module options instead of
  empty string (option=,,1 is not valid)
- don't try to set volume if there is no sound card configured
- fixed button label in the help text (#201127)
- .spec file: don't pack libpy2ag_audio.la file
- 2.13.13
* Mon Jul 17 2006 lslezak@suse.cz
- expert dialog - use standard Add/Edit/Delete buttons in the
  dialog, allow to add a driver option which is not in the yast
  sound card database (#128054), changed layout of the dialog
- close volume dialog by WM (X button in the title) (#148687)
- fixed CD device detection in sound font installation
  code (#171060)
- fixed sound card DB generator: read all tags from
  alsa-module-syntax file, properly mark texts for translation,
  replace modinfo text by proofread message if it's available,
  updated documentation
- updated the sound card DB
- 2.13.12
* Thu May  4 2006 lslezak@suse.cz
- read_routines.ycp - added textdomain
- 2.13.11
* Thu May  4 2006 lslezak@suse.cz
- merged proofread texts
- 2.13.10
* Thu Mar  9 2006 lslezak@suse.cz
- merged proofread texts
- 2.13.9
* Mon Feb 20 2006 lslezak@suse.cz
- updated BuildRequires (replaced yast2-devel-packages macro)
- 2.13.8
* Tue Jan 31 2006 lslezak@suse.cz
- updated the sound card database
- 2.13.7
* Wed Jan 25 2006 lslezak@suse.cz
- updated the sound card database
- 2.13.6
* Mon Jan  9 2006 lslezak@suse.cz
- use Package:: module (Require:: is obsoleted)
- 2.13.5
* Fri Jan  6 2006 lslezak@suse.cz
- properly skip sound card detection in the manual mode (#137908)
- 2.13.4
* Wed Jan  4 2006 lslezak@suse.cz
- improved module loading test
- 2.13.3
* Mon Dec 19 2005 jsuchome@suse.cz
- merged proofread texts
- 2.13.2
* Wed Nov 16 2005 lslezak@suse.cz
- save configuration to hwcfg-vpid-* file which is independent
  on card location (slot number) (#128629)
- wait after module loading before sound card check (#96965)
- added IO address 0x538 for opl3sa2 module to the option list
  (#132504)
- 2.13.1
* Tue Sep 27 2005 lslezak@suse.cz
- remove cards before writing configured cards (#116483)
- version 2.13.0
* Fri Aug 19 2005 lslezak@suse.cz
- mixer - initialize also "Front", "Headphone" and "Master Mono"
  channels (#105486)
- 2.12.9
* Mon Aug 15 2005 lslezak@suse.cz
- merged proofread texts
- 2.12.8
* Fri Aug 12 2005 lslezak@suse.cz
- updated sound card database (for kernel 2.6.13-rc6) (#104324)
- enable Abort button in the error dialog (#102534)
- 2.12.7
* Wed Aug 10 2005 lslezak@suse.cz
- properly initialize mixer during installation (#102663)
- use title style capitalization in dialog headers
- 2.12.6
* Fri Aug  5 2005 lslezak@suse.cz
- use new alsasound initscript commands (unload/reload)
- 2.12.5
* Thu Aug  4 2005 lslezak@suse.cz
- merged proofread texts
- 2.12.4
* Tue Aug  2 2005 lslezak@suse.cz
- use WizardHW module for the first dialog
- removed obsolete dialogs
- workflow and help texts adapted
- assign unique ID for virtual or manually configured cards
- assign bus ID to configured cards
- 2.12.3
* Thu Jul 28 2005 lslezak@suse.cz
- updated desktop files
- 2.12.2
* Wed May  4 2005 lslezak@suse.cz
- renamed variables 'default'
- 2.12.1
* Thu Apr 28 2005 lslezak@suse.cz
- properly initialize mixer settings (#61709)
- 2.12.0
* Wed Mar 23 2005 lslezak@suse.cz
- hwcfg-static file (for ISA cards) search fixed - don't overwrite
  already existing config for another device (#74266)
- really skip sound card detection in manual mode (#74361)
- 2.11.10
* Wed Mar 16 2005 lslezak@suse.cz
- adjust also volume of "Front" channel (#72971)
- 2.11.9
* Thu Mar 10 2005 lslezak@suse.cz
- use 'default' PCM device for playing test sound
  (instead of 'plughw' device) (#71022)
- 2.11.8
* Mon Mar  7 2005 lslezak@suse.cz
- create sysconfig hwcfg file
- 2.11.7
* Wed Mar  2 2005 lslezak@suse.cz
- merged proofread texts
- 2.11.6
* Tue Feb 22 2005 lslezak@suse.cz
- sound card database update (#63457)
- 2.11.5
* Mon Feb  7 2005 lslezak@suse.cz
- merged proofread texts
- version 2.11.4
* Mon Nov 22 2004 lslezak@suse.cz
- select&lookup were replaced by bracket operator
- version 2.11.3
* Thu Nov 18 2004 lslezak@suse.cz
- use bracket operator instead of lookup&select
- version 2.11.2
* Wed Oct 27 2004 lslezak@suse.cz
- adapted to new Mode:: API
- version 2.11.1
* Wed Oct 13 2004 lslezak@suse.cz
- set volume of Master Mono channel (#46555)
- translate channel names in the mixer dialog (#30177)
- version 2.11.0
* Mon Oct 11 2004 jsrain@suse.cz
- adapted to new Arch:: interface
* Mon Sep 27 2004 lslezak@suse.cz
- version 2.10.6
* Fri Sep 24 2004 jsuchome@suse.cz
- do not save modules options with default value (#45646)
- updated sound card database (#45646)
* Tue Sep 14 2004 lslezak@suse.cz
- autoyast fixes - sound card status is always "not running",
  Get/SetModified functions, fixed initialization
- version 2.10.5
* Fri Sep 10 2004 lslezak@suse.cz
- check also kernel joystick modules (#44394)
- version 2.10.4
* Thu Sep  9 2004 lslezak@suse.cz
- install all required kernel modules/packages (#44394)
- version 2.10.3
* Tue Aug 10 2004 jsuchome@suse.cz
- merged proofread texts
* Wed Jul 28 2004 lslezak@suse.cz
- joystick package has been renamed to input-utils (#43297)
- version 2.10.2
* Mon Jun 28 2004 jsuchome@suse.cz
- fixed build (docu dependencies), fixed paths for sound drivers
- 2.10.1
* Mon Jun 14 2004 jsuchome@suse.cz
- removed testing for parameters prefix (snd_*)
* Fri Jun 11 2004 jsuchome@suse.cz
- new command line actions : set, channels, volume
- corrected check for module option values
- 2.10.0
* Tue May 18 2004 jsuchome@suse.cz
- fixed script for copying sound fonts (#40663)
- 2.9.22
* Tue May 11 2004 jsuchome@suse.cz
- during write, initialize mixer before setting volumes (#38797)
- 2.9.21
* Tue May  4 2004 jsuchome@suse.cz
- merged in proofread text
* Thu Apr 29 2004 jsuchome@suse.cz
- fix: do not set Mode::config during autoinstallation
* Thu Apr 22 2004 jsuchome@suse.cz
- match cards added during autoinstalltion config with detected ones (#38797)
- correctly handle Imported volume settings
- 2.9.20
* Mon Apr  5 2004 jsuchome@suse.cz
- fix of audio agent: close opened mixer handle
  (#38040: bug causes fall of whole YaST in some situations)
- 2.9.19
* Fri Apr  2 2004 jsuchome@suse.cz
- changed license to GPL
- 2.9.18
* Mon Mar 29 2004 jsuchome@suse.cz
- fix of sound card database (tiwai)
- fix of testsuites: check only Sound module related files
- 2.9.17
* Fri Mar 26 2004 jsuchome@suse.cz
- fixed joystick options in sound car database (tiwai)
* Fri Mar 26 2004 jsuchome@suse.cz
- fix of volume dialog (#36980)
- joystick configuration: now update also sound module options (#36994)
- 2.9.16
* Tue Mar 23 2004 jsuchome@suse.cz
- correctly grab option values from the table (#36690)
* Mon Mar 22 2004 jsuchome@suse.cz
- 2.9.15
* Fri Mar 19 2004 mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Wed Mar 17 2004 jsuchome@suse.cz
- fix of joystick test: look to correct device
* Wed Mar 17 2004 jsuchome@suse.cz
- fix: correstly switch the lists with vendors/modules
  (caused by SelectionBox behaviour)
- do not set default module parameters ("enable", "index") if module
  doens't support them
- 2.9.14
* Mon Mar 15 2004 jsuchome@suse.cz
- fixed sound card database (tiwai):
  the default parameter values of es1968 options.  (bug #29759)
* Fri Mar 12 2004 jsuchome@suse.cz
- remove old module options from /etc/modprobe.conf
- do not write unnecessary lines (#35710)
* Thu Mar 11 2004 jsuchome@suse.cz
- remove sound configuration from /etc/modprobe.conf, when it was
  written to /etc/modprobe.d/sound
- 2.9.13
* Wed Mar 10 2004 sh@suse.de
- V 2.9.12
- Migration to new wizard
* Tue Mar  9 2004 jsuchome@suse.cz
- updated card database (tiwai)
- fix of return value from main sequence (#35480)
* Mon Mar  8 2004 jsuchome@suse.cz
- more type fixes
- set desktop icon
- 2.9.11
* Mon Mar  1 2004 jsuchome@suse.cz
- configuration now stored in /etc/modprobe.d/sound (new agent)
- type fixes
- use Sequencer module
- 2.9.10
* Mon Mar  1 2004 jsuchome@suse.cz
- more strict typing (lists, map)
* Mon Mar  1 2004 jsuchome@suse.cz
- merged texts from proofread
* Fri Feb 27 2004 jsuchome@suse.cz
- sound card database: fixed module parameters descriptions (tiwai)
* Thu Feb 26 2004 jsuchome@suse.cz
- hack for CS4236 on IBM Thinkpad 600E (#34462)
- 2.9.9
* Thu Feb 26 2004 jsuchome@suse.cz
- removed testsound (it was too big)
* Mon Feb 23 2004 jsuchome@suse.cz
- new card database for kernel 2.6 (tiwai@suse.de)
- 2.9.8
* Thu Feb 19 2004 mvidner@suse.cz
- changed sort to use "<" instead of "<=" because of the switch to std::sort
* Sat Feb  7 2004 arvin@suse.de
- removed config files (*.y2cc)
* Mon Feb  2 2004 jsuchome@suse.cz
- fixed testsuite
- removed hwinfo from needforbuild
- 2.9.6
* Tue Dec  9 2003 jsuchome@suse.cz
- SCR agents adapted for new interpreter
* Fri Dec  5 2003 jsuchome@suse.cz
- Manual dialog: possibility to choose a card both by kernel and vendor
* Mon Dec  1 2003 jsuchome@suse.cz
- syntax fixes for new interpreter
- move most functions from alsa_routines.ycp and oss_routines.ycp to
  routines.ycp and created new file volume_routines.ycp
- 2.9.5
* Mon Nov 24 2003 jsuchome@suse.cz
- correctly initialize variables during installation proposal
  (the call of Sound::ForceReset() is back)
* Tue Nov 18 2003 jsuchome@suse.cz
- fixed button label in helptext (#33076)
- migrated to doxygen
- 2.9.4
* Fri Nov  7 2003 jsuchome@suse.cz
- basic command-line interface
- large code cleanup (removed unused parts, corrected comments, etc.)
- 2.9.3
* Mon Oct 27 2003 jsuchome@suse.cz
- fix: parameter names checked (for 'snd_' prefix) before writing (#32632)
* Fri Oct 24 2003 jsuchome@suse.cz
- initial support for two types of module parameters naming (#32632)
- fix: reseting values of parameters to defaults
- fix: check the possible values of parameters
- 2.9.2
* Tue Oct 21 2003 jsuchome@suse.cz
- dialog with sound cards has list of vendors now (#11024)
- new items in card database (map vendor->models)
- 2.9.1
* Tue Oct  7 2003 jsuchome@suse.cz
- autoinstallation: changed variables to current behaviour (#31117: use
  Mode::config or Sound::write_only instead of Sound::autoinstallation)
- 2.9.0
* Thu Sep 18 2003 jsuchome@suse.cz
- joystick fix: widgets ID's were translated which caused the test
  dialog not to work (#31295)
- 2.8.10
* Tue Sep 16 2003 jsuchome@suse.cz
- check for nil values to prevent error messages in log
- 2.8.9
* Fri Sep 12 2003 jsuchome@suse.cz
- check the return code of alsaconf (#30594)
- 2.8.8
* Mon Sep  8 2003 jsuchome@suse.cz
- do not remove volume settings when there are not set
* Fri Sep  5 2003 jsuchome@suse.cz
- merged in proofread texts
- 2.8.7
* Fri Aug 29 2003 jsuchome@suse.cz
- fixed sound card database entry
* Thu Aug 28 2003 jsuchome@suse.cz
- confirm hardware detection in manual mode (#26515)
* Tue Aug 26 2003 jsuchome@suse.cz
- do not return `finish during installation
- 2.8.6
* Wed Aug 20 2003 jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.5
* Thu Aug 14 2003 jsuchome@suse.de
- removed SuccessDialog (#28774)
- 2.8.4
* Mon Aug 11 2003 jsuchome@suse.de
- proofread texts, 1st round
- 2.8.3
* Wed Aug  6 2003 jsuchome@suse.de
- remebered cards table focus (bug #28058)
* Mon Aug  4 2003 jsuchome@suse.de
- fixed testsuite, added hwinfo to needforbuild
- fixed typo in Makefile
* Mon Aug  4 2003 jsuchome@suse.de
- updated sound card database (takashi@suse.de)
- 2.8.2
* Thu Jul 10 2003 jsuchome@suse.de
- used Label and Popup interface
* Thu May 22 2003 jsuchome@suse.cz
- fixed: mixed volume settings after removing and adding first card
  while there is present another one
* Mon May 12 2003 jsuchome@suse.de
- probe old ISA cards with alsaconf (#25285)
- added Progress steps to Read function
- 2.8.1
* Thu Mar 20 2003 jsuchome@suse.de
- adapted to Require interface
- changed helptext in joystick dialog (#25035)
- 2.8.0
* Tue Mar 11 2003 jsuchome@suse.de
- removed calling of agent for /var/lib/yast/unique
- rebuild needed witch correct tarball (#25064)
* Mon Mar 10 2003 jsuchome@suse.de
- tiwai@suse.de:
- added ICH5 support.
- fixed HDSP description.
* Tue Mar  4 2003 nashif@suse.de
- fixed testsuite
* Mon Mar  3 2003 jsuchome@suse.de
- merged proofreaded texts
* Fri Feb 21 2003 jsuchome@suse.de
- fixes: stderr of some commands (echo, aplay) goes to /dev/null,
    do not start joystick when not present (#23807)
* Fri Feb 14 2003 jsuchome@suse.de
- fixed argument for aplay (#23633)
* Tue Feb 11 2003 arvin@suse.de
- fixed testsuite
* Mon Feb 10 2003 jsuchome@suse.de
- proofreaded texts: 3rd round
* Mon Feb  3 2003 jsuchome@suse.cz
- added zero values (#19602) up to sound-slot/service 3
* Wed Jan 29 2003 jsuchome@suse.cz
- merged proofreaded texts
- 2.7.2
* Fri Jan 17 2003 jsuchome@suse.de
- added ncurses f-keys shortcuts
* Fri Jan 10 2003 jsuchome@suse.de
- fixed testsuite (imported module Arch has some SCR calls)
* Thu Jan  9 2003 jsuchome@suse.de
- fix of helptext (#19729 - "start ALSA")
- fix of #19602 - setting sound-slot-[01] and sound-service-[01]-0
  to "off" if card not present
* Fri Dec 13 2002 jsuchome@suse.de
- updated for new modules agent interface
- 2.7.1
* Fri Oct 25 2002 jsuchome@suse.cz
- dialog for joystick testing (works with the new version of jstest)
- enables also test when more joysticks are connected
- version 2.7.0
* Wed Oct  9 2002 lslezak@suse.cz
- enable/disable alsasound service depending on number of
  configured sound cards (#20464)
- version 2.6.25
* Tue Oct  1 2002 lslezak@suse.cz
- added missing textdomain in Sound module
- version 2.6.24
* Tue Sep 17 2002 lslezak@suse.de
- updated sound card DB - module snd-dt0197h renamed to snd-dt019x,
  added PPC integrated card ids (#19647), regenerated for 2.4.19 kernel
- fixed DB generator (add extra ids, default values)
- version 2.6.23
* Tue Sep 10 2002 lslezak@suse.cz
- provide/obsolete package y2c_sprc
- added missing include (#19283)
- version 2.6.22
* Mon Sep  9 2002 lslezak@suse.cz
- restart sound system after sound font installation (#19197)
- version 2.6.21
* Fri Sep  6 2002 lslezak@suse.cz
- fixed OSS mode starting
- provide/obsolete old packages
- version 2.6.20
* Wed Sep  4 2002 lslezak@suse.cz
- fixed copyfonts script (#18866) - allow spaces and tabs
  as separators in /etc/fstab
- version 2.6.19
* Mon Sep  2 2002 lslezak@suse.cz
- use module Directory
- version 2.6.18
* Tue Aug 27 2002 jsuchome@suse.cz
- provide/obsolete old translation packages
* Mon Aug 26 2002 lslezak@suse.cz
- use new joystick icon in y2cc
- version 2.6.17
* Fri Aug 23 2002 lslezak@suse.cz
- use 'model' and 'description' as card name if 'sub_vendor'
  and 'vendor' are empty (ISA card)
- version 2.6.16
* Wed Aug 14 2002 lslezak@suse.cz
- merged proofread texts
- version 2.6.15
* Wed Aug  7 2002 lslezak@suse.de
- added 3rd parameter to select() in sound DB generator
- fixed loading of joystick DB (changed to include file)
- version 2.6.14
* Mon Aug  5 2002 lslezak@suse.cz
- added alsa to Requires
- added help texts for translators
- updated sound DB
- version 2.6.13
* Wed Jul 31 2002 arvin@suse.de
- removed yast2-runlevel from neededforbuild and requires
* Mon Jul 22 2002 arvin@suse.de
- updated sound and joystick databases
* Mon Jul 22 2002 jsrain@suse.cz
- merged proofread texts
- version 2.6.10
* Fri Jul 19 2002 arvin@suse.de
- use correct path for sound card database
* Fri Jul 12 2002 arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Mon Jul  8 2002 mvidner@suse.cz
- Provides/Obsoletes also the devel subpackage
* Sun Jul  7 2002 arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Mon Jul  1 2002 lslezak@suse.cz
- merged yast2 sound packages: yast2-agent-audio,
  yast2-config-sound, yast2-db-sound
- renamed to yast2-sound
- version 2.6.6
* Mon Jun 24 2002 lslezak@suse.cz
- fixed missing translation
- updated to automake-1.6.2
- version 2.6.5
* Tue May  7 2002 lslezak@suse.cz
- menu entries moved to config dir
- version 2.6.4
* Mon Apr 29 2002 lslezak@suse.cz
- allow joystick configuration even in quick mode
- removed unused code (.tmp.modules)
- fixed most of ycpdoc comments
- use /etc/init.d/* instead /usr/sbin/rc*
- write joystick model to sysconfig comment
- joystick.ycp - new YaST2 client
- removing joystick configuration is possible
- Sound:: added joystick related functions
- removed Start ALSA option in UI
- use LOAD_SEQUENCER in /etc/sysconfig/sound
- added joystick documentation
- test mode in joystick
- version 2.6.3
* Mon Apr 15 2002 lslezak@suse.cz
- update to automake 1.6.1
* Fri Apr 12 2002 lslezak@suse.cz
- update to automake 1.6
- version 2.6.1
* Wed Apr 10 2002 lslezak@suse.cz
- SuSE-8_0-Branch merged to the head
- spec file changes
- testsuite fixes
- added includes and imports
- version 2.6.0
* Wed Mar 27 2002 dmeszar@suse.cz
- fixed #15526 (start joystick in init only if there's a configured one)
* Thu Mar 21 2002 mvidner@suse.cz
- Fixed rcjoystick invocation. (#14957)
- 2.5.18
* Fri Mar 15 2002 dmeszar@suse.cz
- fixed #14590 (Sound re-configuration broken after update in some cases)
* Tue Mar 12 2002 dmeszar@suse.cz
- fixed #14876 (channels are not unmuted when configured via tv module
  on running system)
- fixed #14725 (abort confirmation when no changes were made)
* Wed Mar  6 2002 dmeszar@suse.cz
- fixed #14539 (infinite loop when setting option value to '')
- return empty map when aborted in autoyast (#14526)
* Wed Feb 27 2002 dmeszar@suse.cz
- fixed #13981 (exit the sound_write module when the proposal
  is empty (this applies only to proposal mode))
* Fri Feb 22 2002 dmeszar@suse.cz
- fixed #13601 (all volumes at zero after installation)
- screenshot mode implemented
- fixed proposing of nm256 soundcards
* Mon Feb 18 2002 dmeszar@suse.cz
- implemented joystick configuration
- adaptation for sound db changes (option description can be both
  string and list of strings)
* Mon Feb 11 2002 dmeszar@suse.cz
- speed improvements, proposal implemented
* Fri Feb  8 2002 lnussel@suse.de
- command line argument is of type string
* Mon Jan 28 2002 dmeszar@suse.cz
- fixed bug #12925 (config of single autodetected card not possible)
- added proposal_sound.ycp file
* Thu Jan 17 2002 dmeszar@suse.cz
- added joystick type selector dialog
* Mon Jan 14 2002 dmeszar@suse.cz
- fixed bug #11717 (restart modules after options had changed)
- moved /etc/sysconfig/alsa to /etc/sysconfig/sound
* Mon Jan  7 2002 dmeszar@suse.cz
- removed START_ALSA (moved to runlevel editor) and START_ALSA_SEQ
  (moved to /etc/sysconfig/alsa) variables.
- uses new sound database
* Tue Dec 18 2001 dmeszar@suse.cz
- Sound module implemented, third param for 'select'
* Fri Nov  9 2001 dmeszar@suse.cz
- use Wizard module, Wizard_hw module and other new libycp features
* Thu Oct  4 2001 dmeszar@suse.cz
- setting volume to 75%% for test sample for 'daca' cards (ppc)
  (bug #11339)
* Fri Sep 21 2001 dmeszar@suse.cz
- bug #7198 fixed (warning popup for nm256 sound cards
  not shown when the card is configured and module is
  launched again)
* Thu Sep 20 2001 dmeszar@suse.cz
- bug #10941 ('nil' shown as card label when uniq_id has changed
  after update)
- comment added for translators
* Tue Sep 18 2001 dmeszar@suse.cz
- corrected abort behaviour in complex dialog (#not reported)
  (when user pressed abort, module ended even if she pressed
  'no' in 'really abort' dialog)
* Mon Sep 17 2001 dmeszar@suse.cz
- bug #10750 fixed (don't save when nothing has changed)
* Mon Sep 17 2001 dmeszar@suse.cz
- bug #10639 fixed (Removing first sound card removes them all)
- bug #10529 (10662) fixed (YaST2 crashes: Undefined string operation?)
  resp. (sound/routines.ycp: strange lines)
* Mon Sep 10 2001 dmeszar@suse.cz
- use Arch:: instead of user_settings
* Tue Sep  4 2001 dmeszar@suse.cz
- use alias sound-slot-0 -> sound
  and	    sound -> char-major-14 for sparcs
* Tue Sep  4 2001 dmeszar@suse.cz
- unmute device "Wave Playback Volume" for ymf sound cards
- default value for lookup(3) added
* Fri Aug 31 2001 dmeszar@suse.cz
- bug #9993 fixed
- logs removed
* Wed Aug 29 2001 dmeszar@suse.cz
- fixed typos
- removed debug logging
* Mon Aug 27 2001 dmeszar@suse.cz
- use module name as alias 'char-major-14' on sparc
  instead of 'sound'
* Mon Aug 27 2001 dmeszar@suse.cz
- volume setting implemented for oss
* Wed Aug 22 2001 dmeszar@suse.cz
- oss support added, alpha version
- volume setting for oss not implemented so far
* Mon Aug 20 2001 dmeszar@suse.cz
- fixed shortcuts
* Mon Aug 20 2001 dmeszar@suse.cz
- bug #8335 fixed, options restoring when deleting card fixed
* Wed Aug 15 2001 dmeszar@suse.cz
- installation of one card much simplified
* Mon Aug 13 2001 dmeszar@suse.cz
- stderr of 'execute' commands redirected to /dev/null
  when running .target.bash
* Fri Aug 10 2001 dmeszar@suse.cz
- bug #5838 fixed
- minor code changes  UI(`fn()) -> UI::fn() SCR resp.
* Mon Jul 30 2001 dmeszar@suse.cz
- speed improvements
* Wed Jul 25 2001 dmeszar@suse.cz
- first dialog unified with printconf and tvconf modules
* Mon Jul 23 2001 dmeszar@suse.cz
- fixed 'requires' in rpm, workflow changes, option dialog improvements
* Tue May 15 2001 dmeszar@suse.cz
- doubled text fixed. when a new card is manually added, module description is
  used as a manufacturer name. (bug #8315, file routines.ycp).
- fixed bug in adding sound cards. (not reported)
  (files routines.ycp, sound_complex- list of all cards was compared
  against /var/lib/YaST/unique.inf, which was not correct. dialog
  with the choice "Add autodetected"/"Select from list" was not shown
  properly.  now it's compared
  with local copy of unique keys list. new parameter added to get_not_yet
  (function returning list of not configured soundcards))
- removed commented block of source code from 'sound_summary.ycp'
* Tue May 15 2001 dmeszar@suse.cz
- doubled text fixed. when a new card is manually added, module description is
  used as a manufacturer name. (bug #8315). fixed bug in adding sound cards. (not reported)
* Mon May 14 2001 dmeszar@suse.cz
- sound summary for non-pnp cards fixed (bug #8157)
* Fri May 11 2001 dmeszar@suse.cz
- soundblater awe card presence enhanced
* Thu May 10 2001 dmeszar@suse.cz
- fixed to work with new libhd (#7918)
* Mon May  7 2001 dmeszar@suse.cz
- module options fixed, card removing fixed
* Mon Apr 30 2001 dmeszar@suse.cz
- sound fonts loading enabled, abort dialog unified, summary spaces fixed
* Tue Apr 24 2001 dmeszar@suse.cz
- sound fonts loading temporarily removed
* Tue Apr 24 2001 ro@suse.de
- fixed time-stamps in tar
* Tue Apr 24 2001 dmeszar@suse.cz
- 'install sndfonts' button in summary dialog
* Mon Apr 23 2001 dmeszar@suse.cz
- multiple sound cards installation fixed, volume settings fixed
- fonts loading feature for soundblaster
* Tue Apr 17 2001 dmeszar@suse.cz
- autodocs build fixed
* Tue Apr 17 2001 dmeszar@suse.cz
- sound summary module added, fixed 'requires'
* Fri Mar 30 2001 dmeszar@suse.cz
- options editing, quick config
* Sat Mar 17 2001 dan@suse.cz
- ycpdoc removed from requires
* Wed Mar  7 2001 dan@suse.cz
- package rename
* Thu Jan 25 2001 dan@suse.cz
- y2log fixes
* Mon Jan 22 2001 dan@suse.cz
- another locale fix
* Mon Jan 22 2001 dan@suse.cz
- locale problem for displaying all cards fixed
* Thu Jan 18 2001 dan@suse.cz
- options passing fix (bug 5855)
* Fri Jan 12 2001 kkaempf@suse.de
- bump version for latest fixes
* Fri Jan 12 2001 dan@suse.de
- dialog sequence for one card fix
* Wed Jan 10 2001 dan@suse.cz
- don't call complex dialog when just one sound card is beeing installed
- log fixes
* Tue Jan  9 2001 dan@suse.cz
- fix playing sound sample on background (bug #5263)
* Fri Jan  5 2001 kkaempf@suse.de
- fix frame caption for gettext
* Thu Jan  4 2001 dan@suse.cz
- special warning dialog for nm256 cards
* Fri Dec 15 2000 dan@suse.cz
- skip/back button sequence fixed (bug #4679)
* Wed Dec 13 2000 mike@suse.de
- new menuentry file
* Tue Dec 12 2000 kkaempf@suse.de
- use tmpdir instead of /tmp
* Sat Dec  9 2000 dan@suse.cz
- options exist test, disabling sound table omitted
* Fri Dec  8 2000 dan@suse.cz
- spec file fix
* Fri Dec  8 2000 kendy@suse.cz
- All /sbin/init.d changed to /etc/init.d
* Thu Dec  7 2000 arvin@suse.de
- call sound (not lan) in menu
* Thu Dec  7 2000 arvin@suse.de
- fix double quoted symbol
* Thu Dec  7 2000 dan@suse.cz
- y2d_snd is required, amixer call differ for more cards
* Wed Dec  6 2000 kkaempf@suse.de
- adapt to new alsa package
  support multiple cards
  pack sources with bzip2
* Fri Sep 29 2000 kkaempf@suse.de
- do MacRISC dmasound right
  version 2.0.13
* Wed Sep 27 2000 dan@suse.cz
- PPC hack added
* Mon Sep 18 2000 dan@suse.cz
- exception for ppc hardcoded
* Thu Jul 13 2000 dan@suse.de
- minor fixes ('\n' added, etc.)
* Tue Jul 11 2000 dan@suse.de
- fixed writing of modules.conf (last line)
* Tue Jul  4 2000 dan@suse.de
- fixed aplay calling
* Mon Jul  3 2000 kkaempf@suse.de
- changed test sound in alsa package
  version 2.0.7
* Thu Jun 29 2000 kkaempf@suse.de
- requires y2t_snd
* Tue Jun 27 2000 dan@suse.de
- more comments for translators
* Mon Jun 26 2000 kkaempf@suse.de
- message fixes
  version 2.0.5
* Fri Jun 23 2000 dan@suse.de
- comments for translators added
* Wed Jun 21 2000 dan@suse.de
- messages correction
* Tue Jun 20 2000 dan@suse.de
- fixed volume setting
* Fri Jun 16 2000 dan@suse.de
- minor layout changes
* Fri May 19 2000 kkaempf@suse.de
- initial version
